"""
Neural-Scope Cloud Module

This package provides tools for cloud-based profiling, optimization, and cost analysis
for machine learning workloads, including:

1. Cloud cost optimization
2. Remote profiling on cloud instances
3. Multi-cloud benchmarking
4. Cost-performance tradeoff analysis

The module is organized into submodules for different aspects of cloud integration.
"""

from advanced_analysis.cloud.profiler import CloudProfiler
from advanced_analysis.cloud.cost_optimizer import CloudCostOptimizer, CloudCostAnalysisResult
