"""
Neural-Scope ML Advisor Module

This package provides ML-based analysis and recommendations for optimizing
machine learning models and workflows, including:

1. Intelligent optimization suggestions
2. Code-level recommendations
3. ML-based performance prediction
4. Framework-specific optimization techniques
5. ML algorithm recognition and pattern detection
6. Inefficiency detection in ML code

The module uses machine learning to analyze models and provide targeted recommendations.
"""

from advanced_analysis.ml_advisor.suggestions import MLAdvisor, OptimizationSuggestion
from advanced_analysis.ml_advisor.algorithm_recognition import MLAlgorithmRecognizer
from advanced_analysis.ml_advisor.inefficiency_detection import InefficiencyDetector
